Subject: Re: GBC invoice
From: "Michael B" <[email-masked]>
To: "David Ostrovetz" <[email-masked]>
Date: Fri, 11 Oct 2013 11:56:00 -0400

Dave,
This is the only invoice I have seen thus far.  I never had a PO for this order as he never asked me for one.  I did fill out a credit app for them so maybe it is not required but I am not sure.  I know when this was ordered, a total price was not given as I am certain I would not have agreed to be paying that much.
Thank you,
Michael B
LLPS

From: David Ostrovetz 
Sent: Friday, October 11, 2013 11:42 AM
To: Michael B 
Subject: Re: GBC invoice

HI Mike,

Do you have a PO you can send me for the laminate?  If you have one from your previous order that will work 
Dave

On Fri, Oct 11, 2013 at 10:42 AM, Michael B <[email-masked]> wrote:

  Yes. I had grabbed the wrong one.
  Thank you,
  Michael B
  LLPS

  From: David Ostrovetz 
  Sent: Friday, October 11, 2013 10:25 AM
  To: Michael B 
  Subject: Re: GBC invoice

  HI Mike,
  This one has  a $4k total, do you have one with the breakdown?
  Dave

  On Fri, Oct 11, 2013 at 10:23 AM, Michael B <[email-masked]> wrote:

    Hello Dave.
    Attached is a copy of the invoice we were talking about.  I appreciate your help on this.
    Thank you,
    Michael B
    LLPS

  -- 

  Dave Ostrovetz
  Branch Sales Manager Lansing / Saginaw
  Konica Minolta

  [email-masked]

  248.383.3833 Voice / Txt

-- 

Dave Ostrovetz
Branch Sales Manager Lansing / Saginaw
Konica Minolta

[email-masked]

248.383.3833 Voice / Txt